Bug 575065 - (CVE-2010-1191) CVE-2010-1191 Sahana: Authentication bypass via "acl_enable_acl" URLs
CVE-2010-1191 Sahana: Authentication bypass via "acl_enable_acl" URLs
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://sourceforge.net/tracker/?func=...
impact=moderate,source=secunia,report...
: Security
Depends On: 575069
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 06:28 EDT by Jan Lieskovsky
Modified: 2010-05-07 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-03-19 06:28:18 EDT
Christopher showed:
  [1] http://archives.neohapsis.com/archives/bugtraq/2010-03/0156.html

a deficiency in the way, Sahana disaster management system
performed user authentication. Visiting a certain URL
would allow an attacker to view (and potentially modify)
information, which should be otherwise protected by authentication.

Upstream bug report:
  [2] http://sourceforge.net/tracker/?func=detail&aid=2970786&group_id=127855&atid=709778

References:
  [3] http://archives.neohapsis.com/archives/bugtraq/2010-03/0156.html
  [4] http://secunia.com/advisories/39020/

Affected versions:
  Issue reported against v0.6.2.2. Other versions may be also affected.

Credit:
  Christopher

CVE Request:
  [5] http://www.openwall.com/lists/oss-security/2010/03/19/1
Comment 1 Jan Lieskovsky 2010-03-19 06:29:47 EDT
Sample URLs (from [1]):

http://victim/<sahana_path>/index.php?mod=admin&act=acl_enable_acl
Authenticates correctly. 

http://victim/<sahana_path>/stream.php?mod=admin&act=acl_enable_acl
Does not.
Comment 2 Jan Lieskovsky 2010-03-19 06:38:53 EDT
This issue affects the versions of the sahana package, as shipped
with Fedora release of 11 and 12.

This issue affects the versions of the sahana package, as shipped
within EPEL5 repository.

Please fix once upstream patch available (see [2] for progress
on this).
Comment 4 Jan Lieskovsky 2010-03-31 14:00:55 EDT
This is CVE-2010-1191.
Comment 5 Fedora Update System 2010-04-11 14:08:09 EDT
sahana-0.6.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/sahana-0.6.3-1.el5
Comment 6 Fedora Update System 2010-04-11 14:08:19 EDT
sahana-0.6.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/sahana-0.6.3-1.fc12
Comment 7 Fedora Update System 2010-05-06 23:54:45 EDT
sahana-0.6.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-05-07 13:45:40 EDT
sahana-0.6.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.